Decrypt
curl --request POST \
--url https://api.nebius.cloud/kms/v1/symmetric-crypto/decrypt \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyId": "<string>",
"aadContext": "aSDinaTvuI8gbWludGxpZnk=",
"ciphertext": "aSDinaTvuI8gbWludGxpZnk="
}
'import requests
url = "https://api.nebius.cloud/kms/v1/symmetric-crypto/decrypt"
payload = {
"keyId": "<string>",
"aadContext": "aSDinaTvuI8gbWludGxpZnk=",
"ciphertext": "aSDinaTvuI8gbWludGxpZnk="
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyId: '<string>',
aadContext: 'aSDinaTvuI8gbWludGxpZnk=',
ciphertext: 'aSDinaTvuI8gbWludGxpZnk='
})
};
fetch('https://api.nebius.cloud/kms/v1/symmetric-crypto/decrypt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"keyId": "<string>",
"plaintext": "aSDinaTvuI8gbWludGxpZnk="
}symmetric-crypto
Decrypt
Decrypts the given ciphertext with the specified key.
POST
/
kms
/
v1
/
symmetric-crypto
/
decrypt
Decrypt
Authorizations
The Authorization header expects a Bearer token.
Body
application/json
ID of the symmetric KMS key to use for decryption.
Additional authenticated data, must be the same as was provided in the corresponding [SymmetricEncryptRequest]. Should be encoded with base64.
Ciphertext to be decrypted. Should be encoded with base64.
Was this page helpful?
⌘I